#-------------------------------------------------------------------------------
#
#  Copyright (c) 2000 Tyrell Corporation. All rights reserved.
#
#  Tyrell DarkIce
#
#  File     : darkice.spec
#  Version  : $Revision: 1.23 $
#  Author   : $Author: darkeye $
#  Location : $Source: /cvsroot/darkice/darkice/rpm/darkice.spec,v $
#  
#  Abstract : 
#
#   Specification file to build RPM packages of DarkIce
#
#  Copyright notice:
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License  
#   as published by the Free Software Foundation; either version 2
#   of the License, or (at your option) any later version.
#  
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of 
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
#   GNU General Public License for more details.
#  
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
#-------------------------------------------------------------------------------

# ===================================================================== preamble
Summary : DarkIce live IceCast / ShoutCast streamer
Name: darkice
Vendor: Tyrell Hungary
Packager: Akos Maroy <darkeye@tyrell.hu>
Version: 0.15
Release: 2
License: GPL
Group: Applications/Multimedia
#Source: http://prdownloads.sourceforge.net/darkice/darkice-%{version}.tar.gz
Source: %{name}-%{version}.tar.bz2
Patch: darkice-0.15-gcc4.patch
URL: http://darkice.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: /usr

%description
DarkIce is an IceCast, IceCast2 and ShoutCast live audio streamer. It
takes audio input from a sound card, encodes it into mp3 and/or Ogg Vorbis,
and sends the mp3 stream to one or more IceCast and/or ShoutCast servers,
the Ogg Vorbis stream to one or more IceCast2 servers.

This RPM is compiled without ALSA support, as there are no official RPM
packages for ALSA. To utilize ALSA, you must compile darkice manually.



# =================================================================== prep stage
%prep
%setup
%ifarch x86_64
# to resolve this:
# LameLibEncoder.cpp: In member function 'virtual bool LameLibEncoder::open()':
# LameLibEncoder.cpp:82: error: cast from 'lame_global_flags*' to 'int' loses precision
# LameLibEncoder.cpp:85: error: cast from 'lame_global_flags*' to 'int' loses precision
%patch -p1
%endif


# ================================================================== build stage
%build
%configure --with-jack=no \
	--with-lame-prefix=%{_libdir} \
	--with-vorbis-prefix={_libdir}
make %{?_smp_mflags} CXXFLAGS="-O2 -pedantic -Wall $RPM_OPT_FLAGS" all


# ================================================================ install stage
%install
%makeinstall


# ========================================================== pre-install scripts
%pre


# ========================================================= post-install scripts
%post


# ======================================================================== clean
%clean
rm -rf $RPM_BUILD_ROOT
make clean


# =========================================================== main package files
%files
%defattr (-, root, root)
%doc COPYING ChangeLog README TODO AUTHORS
%config(noreplace) %{_sysconfdir}/darkice.cfg
%{_bindir}/darkice
%{_mandir}/man1/darkice.1*
%{_mandir}/man5/darkice.cfg.5*


# =================================================================== change log
%changelog
* Mon Aug 22 2005 Peter Hanecak <hanecak@megaloman.sk> 0.15-2
- fixes for x86-64 build

* Mon Aug 22 2005 Peter Hanecak <hanecak@megaloman.sk> 0.15-1
- updated to 0.15
- s/Copyright/License/
- 'noreplace' used for configuration file
- %%{?_smp_mflags} used with 'make'

* Mon Oct 11 2004 Peter Hanecak <hanecak@megaloman.sk> 0.14-1
- .bz2 source archiv
- RPM_OPT_FLAGS used
